# video-to-gif
## Usage
```
usage: video_to_gif.py [-h] -i INPUT [-w WIDTH] [-r FRAMERATE]
                       [-s {fast_bilinear,bilinear,bicubic,experimental,neighbor,area,bicublin,gauss,sinc,lanczos,spline}]
                       [-interpolate {none,dup,blend,mci}] [-t TAG]

Use ffmpeg to make GIFs from videos

options:
  -h, --help            show this help message and exit
  -i INPUT, --input INPUT
                        Input pattern like '/users/MyName/Videos/*.mov'
  -w WIDTH, --width WIDTH
                        Width of the GIF in pixels, respecting aspect ratio (default: 960)
  -r FRAMERATE, --framerate FRAMERATE
                        Framerate of GIF (default: 12)
  -s {fast_bilinear,bilinear,bicubic,experimental,neighbor,area,bicublin,gauss,sinc,lanczos,spline}, --scaler {fast_bilinear,bilinear,bicubic,experimental,neighbor,area,bicublin,gauss,sinc,lanczos,spline}
                        Scaling algorithm to use (default: lanczos)
  -interpolate {none,dup,blend,mci}, --interpolate {none,dup,blend,mci}
                        Interpolation method to use (default: none)
  -t TAG, --tag TAG     Optional tag included in file name

— Be gay and do crime
```

## Docker
```shell
docker build -t video_to_gif:latest .
docker run video_to_gif --help
```